## NAME

v.out.gpsbabel - Exports a vector map to a GPS receiver or file format supported by GpsBabel.

## KEYWORDS

vector, export, GPS

## SYNOPSIS

v.out.gpsbabel
v.out.gpsbabel help
v.out.gpsbabel [-wrt] input=string [type=string[,string,...]] output=name [format=string] [layer=integer] [where=string] [--verbose] [--quiet]

### Flags:

-w
  Export as waypoints
-r
  Export as routes
-t
  Export as tracks
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=string
  Name of input vector map
type=string[,string,...]
  Feature type(s)
  Options: point,centroid,line,boundary
output=name
  Name for output file or GPS device
format=string
  GpsBabel supported output format
  Default: gpx
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
where=string
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000

## DESCRIPTION

v.out.gpsbabel allows the user to export waypoint, route, and track data from a vector map into a locally connected GPS receiver or as a file in many common GPS data formats. Translation is done via the GpsBabel program.

Do not use as a primary means of navigation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License (GPL) for more details.

## NOTES

v.out.gpsbabel automatically reprojects data from the projection settings of the current location to Lat/Lon WGS84.

GPX format is used for data interchange between GRASS and GpsBabel. If the requested output is GPX, then `gpsbabel` is never run.

OGR's GPX driver knows a number of standard field names. If an attribute column matches the name it will be used in that field. Otherwise the attribute will be placed within the `<extensions>` metadata section of the record. Not all fields names are used with all feature types (e.g. DOP fix error is not meaningful for route lines). You can use the v.db.renamecol module to rename columns.

These are the standard GPX data fields known to OGR:

    ageofdgpsdata
    cmt:	 Comment
    course
    desc
    dgpsid:	 DGPS station type
    ele:	 Elevation
    fix
    geoidheight
    hdop:	 Horizontal dillution of precision (estimated fix error)
    magvar:	 Magnetic variation
    name
    number
    pdop:	 Positional dillution of precision (estimated fix error)
    route_fid
    route_point_id
    sat
    speed
    src
    sym
    time
    track_fid
    track_seg_id
    track_seg_point_id
    type
    url
    urlname
    vdop:	 Vertical dillution of precision (estimated fix error)

## EXAMPLES

### GPX Export

Export a vector lines map to a GPX track file:

    v.out.gpsbabel -t input=trail output=trail.gpx

### GPS device connected via USB adapter

Export vector maps named waypoints, tracks, routes to a Garmin GPS connected to /dev/ttyUSB0:

    v.out.gpsbabel -w input=waypoints format=garmin output=/dev/ttyUSB0
    v.out.gpsbabel -t input=tracks format=garmin output=/dev/ttyUSB0
    v.out.gpsbabel -r input=routes format=garmin output=/dev/ttyUSB0

## SEE ALSO

m.proj
v.in.ascii
v.out.ascii
v.in.garmin
v.in.gpsbabel
v.db.renamecol
v.extract
GpsBabel.org
The GDAL/OGR GPX format page
cs2cs from PROJ.4

## AUTHOR

Hamish Bowman, Dunedin New Zealand

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team